/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sed.task.valueobject;

/**
 * 処理クラス [BlancoSedProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoSedProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [input]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルを指定します。
     */
    private String fInput;

    /**
     * フィールド [output]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルを指定します。
     */
    private String fOutput;

    /**
     * フィールド [script]
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトを指定します。
     */
    private String fScript;

    /**
     * フィールド [scriptfile]
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトファイルを指定します。
     */
    private String fScriptfile;

    /**
     * フィールド [encoding]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [Windows-31J]<br>
     * ファイルのエンコードを指定します。
     */
    private String fEncoding = "Windows-31J";

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [input]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルを指定します。
     *
     * @param argInput フィールド[input]に格納したい値
     */
    public void setInput(final String argInput) {
        fInput = argInput;
    }

    /**
     * フィールド[input]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルを指定します。
     *
     * @return フィールド[input]に格納されている値
     */
    public String getInput() {
        return fInput;
    }

    /**
     * フィールド [output]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルを指定します。
     *
     * @param argOutput フィールド[output]に格納したい値
     */
    public void setOutput(final String argOutput) {
        fOutput = argOutput;
    }

    /**
     * フィールド[output]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルを指定します。
     *
     * @return フィールド[output]に格納されている値
     */
    public String getOutput() {
        return fOutput;
    }

    /**
     * フィールド [script]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトを指定します。
     *
     * @param argScript フィールド[script]に格納したい値
     */
    public void setScript(final String argScript) {
        fScript = argScript;
    }

    /**
     * フィールド[script]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトを指定します。
     *
     * @return フィールド[script]に格納されている値
     */
    public String getScript() {
        return fScript;
    }

    /**
     * フィールド [scriptfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトファイルを指定します。
     *
     * @param argScriptfile フィールド[scriptfile]に格納したい値
     */
    public void setScriptfile(final String argScriptfile) {
        fScriptfile = argScriptfile;
    }

    /**
     * フィールド[scriptfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * スクリプトファイルを指定します。
     *
     * @return フィールド[scriptfile]に格納されている値
     */
    public String getScriptfile() {
        return fScriptfile;
    }

    /**
     * フィールド [encoding]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコードを指定します。
     *
     * @param argEncoding フィールド[encoding]に格納したい値
     */
    public void setEncoding(final String argEncoding) {
        fEncoding = argEncoding;
    }

    /**
     * フィールド[encoding]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [Windows-31J]<br>
     * ファイルのエンコードを指定します。
     *
     * @return フィールド[encoding]に格納されている値
     */
    public String getEncoding() {
        return fEncoding;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sed.task.valueobject.BlancoSedProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",input=" + fInput);
        buf.append(",output=" + fOutput);
        buf.append(",script=" + fScript);
        buf.append(",scriptfile=" + fScriptfile);
        buf.append(",encoding=" + fEncoding);
        buf.append("]");
        return buf.toString();
    }
}
